#ifndef KRONOS_LOGGER_HEADER
#define KRONOS_LOGGER_HEADER

#include <fstream>
#include <string>


namespace Kronos {
	class Logger final {
	public:
		enum Level {ERROR = 0, WARN = 1, INFO = 2, DEBUG = 3};

		static void Log(const std::string& msg);
		static void Log(Level level, const std::string& msg);

		Logger(Level level = Level::INFO, const char* filename = nullptr, bool console = true);
		Logger(const Logger& logger) = delete;
		~Logger();

		Logger& operator=(const Logger& logger) = delete;

		void setLevel(Level level);

	private:
		void log(Level level, const std::string& msg);

		static Logger* s_instance;

		Level m_level;
		std::ofstream m_logFile;
		bool m_console;
	};
}

#endif
