#include <iostream>
#include <vector>
#include "Exception.hpp"
#include "Logger.hpp"
#include "XDisplayConnection.hpp"
#include "XWindow.hpp"


int main(int argc, char** argv) {
	Kronos::Logger logger(Kronos::Logger::Level::INFO, "kronos.log");
	Kronos::Logger::Log("=============== Kronos v0.1 ===============");

	Kronos::XDisplayConnection display;
	std::vector<Kronos::XWindow> windows = display.getWindows();

	for(Kronos::XWindow& w : windows) {
		w.processEvents();
		std::cout << "=> " << w.getName() << std::endl;
		std::cout << "    - " << w.getWidth() << "x" << w.getHeight() << std::endl;
	}

	return 0;
}
